Bug 919783 - (CVE-2013-1640) CVE-2013-1640 Puppet: catalog request code execution
CVE-2013-1640 Puppet: catalog request code execution
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130312,repo...
: Security
Depends On: 919788 919790 919791 920843 920845 924458 995663
Blocks: 919786 919787 921763
  Show dependency treegraph
 
Reported: 2013-03-10 00:04 EST by Kurt Seifried
Modified: 2016-04-26 12:00 EDT (History)
21 users (show)

See Also:
Fixed In Version: puppet 2.6.18, puppet 2.7.21, puppet 3.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 03:00:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
puppet-3.1.0-CVE-Rollup.patch (85.09 KB, patch)
2013-03-15 00:52 EDT, Kurt Seifried
no flags Details | Diff
puppet-2.7.20-CVE-Rollup.patch (96.19 KB, patch)
2013-03-15 00:53 EDT, Kurt Seifried
no flags Details | Diff
puppet-2.7.18-CVE-Rollup.patch (98.55 KB, patch)
2013-03-15 00:54 EDT, Kurt Seifried
no flags Details | Diff
puppet-2.7.11-CVE-Rollup.patch (107.82 KB, patch)
2013-03-15 00:55 EDT, Kurt Seifried
no flags Details | Diff
puppet-2.6.17-CVE-Rollup.patch (102.81 KB, patch)
2013-03-15 00:56 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-03-10 00:04:45 EST
Moses Mendoza (moses@puppetlabs.com) reports:

CVE-2013-1640 - Remote code execution on master from authenticated clients
* Affected versions: 0.24.7 and greater
* Resolved in Puppet 2.6.18, 2.7.21, 3.1.1, Puppet Enterprise 1.2.7, 2.7.2

A bug in Puppet allows an authenticated client to request its catalog
from the puppet master, and cause the puppet master to execute
arbitrary code. The puppet master must invoke with the `template` or
`inline_template` functions during catalog compilation for this to be
exploited.


External References:
https://puppetlabs.com/security/cve/cve-2013-1640/
Comment 3 Vincent Danen 2013-03-12 17:36:13 EDT
Created puppet tracking bugs for this issue

Affects: epel-all [bug 920843]
Comment 4 Vincent Danen 2013-03-12 17:40:06 EDT
Created puppet tracking bugs for this issue

Affects: fedora-all [bug 920845]
Comment 5 Kurt Seifried 2013-03-15 00:52:22 EDT
Created attachment 710424 [details]
puppet-3.1.0-CVE-Rollup.patch
Comment 6 Kurt Seifried 2013-03-15 00:53:54 EDT
Created attachment 710425 [details]
puppet-2.7.20-CVE-Rollup.patch
Comment 7 Kurt Seifried 2013-03-15 00:54:24 EDT
Created attachment 710426 [details]
puppet-2.7.18-CVE-Rollup.patch
Comment 8 Kurt Seifried 2013-03-15 00:55:22 EDT
Created attachment 710427 [details]
puppet-2.7.11-CVE-Rollup.patch
Comment 9 Kurt Seifried 2013-03-15 00:56:17 EDT
Created attachment 710428 [details]
puppet-2.6.17-CVE-Rollup.patch
Comment 11 Murray McAllister 2013-03-27 03:25:23 EDT
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 12 errata-xmlrpc 2013-04-04 16:20:29 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0710 https://rhn.redhat.com/errata/RHSA-2013-0710.html
Comment 13 Fedora Update System 2013-04-05 18:36:39 EDT
puppet-2.6.18-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-04-05 18:37:49 EDT
puppet-2.6.18-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Kurt Seifried 2013-07-26 02:19:33 EDT
Removed due to typo.
Comment 16 Fedora Update System 2013-08-01 23:24:28 EDT
puppet-3.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.